//定义统计类
class Point {
  score = 0
  level = 1
  scoreEle:HTMLElement
  levelEle:HTMLElement

  // 最高等级限制
  maxLevel: number

  // 多少分升一级
  upScore: number

  constructor(maxLevel:number=10, upScore:number = 10){
    this.maxLevel = maxLevel
    this.upScore = upScore
    this.scoreEle = document.getElementById('score')!
    this.levelEle = document.getElementById('level')!
  }

  // 增加积分
  addScore(){
    this.scoreEle.innerHTML = ++this.score + ''
    // 整除时升级
    if(this.score % this.upScore === 0){
      this.levelUp()
    }
  }

  // 增加等级
  levelUp(){
    if(this.level < this.maxLevel){
      this.levelEle.innerHTML = ++this.level + ''
    }
  }
}

export default Point