// 定义食物类
class Food {
  // 定义一个属性, 食物对应的元素
  element: HTMLElement  // HTMLElement为ts带的类型

  constructor(){
      this.element = document.getElementById('food')!; // 这里的感叹号是非null和非undefined的类型断言

      this.change()
  }

  // 获取食物的坐标
  get X(){
    return this.element.offsetLeft
  }

  get Y(){
    return this.element.offsetTop
  }

  // 修改食物的坐标
  change(){
    this.element.style.left = Math.round(Math.random() * 29 ) * 10 + 'px'
    this.element.style.top = Math.round(Math.random() * 29 ) * 10 + 'px'
  }
}

export default Food